<?php

namespace Inflightor\FileServerParams;

class FileServerParams {

	protected $fileserverService;
	protected $fileserverPath;
    protected $apiKey;
	protected $pathKey;
	protected $undefinedImagePath;

	public function __construct($fileserverService, $fileserverPath, $apiKey,  $pathKey, $undefinedImagePath)
	{
		$this->fileserverService = $fileserverService;
		$this->fileserverPath = $fileserverPath;
        $this->apiKey = $apiKey;
		$this->pathKey = $pathKey;
		$this->undefinedImagePath = $undefinedImagePath;
	}

    public function getFileserverService() {
    	return $this->fileserverService;
    }

    public function getFileserverPath() {
    	return $this->fileserverPath;
    }

    public function getApiKey() {
        return $this->apiKey;
    }

    public function getPathKey() {
        return $this->pathKey;
    }

    public function getUndefinedImagePath() {
    	return $this->undefinedImagePath;
    }

}